Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	vformat plugin for opensync synchronization framework library
Name:		libopensync-plugin-vformat
Version:	0.39
Release:	1
License:	GPL
URL: 		http://www.opensync.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  libopensync-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel

%description
OpenSync is a synchronization framework that is platform and distribution independent. It consists of a powerful sync-engine and several plugins that can be used to connect to devices.
OpenSync is very flexible and capable of synchronizing any type of data, including contacts, calendar, tasks, notes and files.

This package provides a vformat plugin for the opensync synchronization framework library.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%_prefix
make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%{_bindir}/vconvert
%{_libdir}/libopensync1/formats/vcard.so
%{_libdir}/libopensync1/formats/vevent.so
%{_libdir}/libopensync1/formats/vformat-xmlformat.so
%{_libdir}/libopensync1/formats/vjournal.so
%{_libdir}/libopensync1/formats/vnote.so
%{_libdir}/libopensync1/formats/vtodo.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.39-1
- version update
* Sun Aug 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.36-1
- Initial CCux package release
